Skip to Content
Transactional SMS

Batch query multiple message statuses

View Markdown (.md)
POST
/api/v1/public/sms/messages

Retrieves current delivery states and carrier timestamps for an array of up to 50 message IDs in a single call.

Authorization

headerX-Api-Key<token>

SMS Pro API Key (sk_live_... or sk_test_...)

Request Body

application/json
  1. body
messageIds*array<string>
Itemsitems <= 50

Response Body

Array of message details matching the requested IDs

application/json
  1. response
status?string
data?array<>
Example Request
curl -X POST 'https://api.smspro.com/api/v1/public/sms/messages' \  -H 'Content-Type: application/json' \  -d '{  "messageIds": [    "string"  ]}'
Example Response
{  "status": "string",  "data": [    {      "id": "string",      "to": "string",      "message": "string",      "senderId": "string",      "status": "string",      "deliveryStatus": "string",      "providerMessageId": "string",      "segments": 0,      "sentAt": "2019-08-24T14:15:22Z",      "deliveredAt": "2019-08-24T14:15:22Z"    }  ]}